# JsonHelper

Package tourplaner.business

## Class JsonHelper

- java.lang.Object
- - tourplaner.business.JsonHelper

    public class JsonHelper
    extends java.lang.Object

Hilfsklasse für Json (Gson)

### Constructor Summary

Constructors
`JsonHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `getDoubleFromJson​(java.lang.String json, java.lang.String gets)` Double aus json extrahieren
`static java.lang.String` `getJsonFromObj​(java.lang.Object obj)` Erzeugt ein Json aus einem Object
`static void` `getJsonFromObj​(java.lang.Object obj, java.io.FileWriter writer)` Erzeugt ein Json aus einem Object
`static java.lang.String` `getStingFromJson​(java.lang.String json, java.lang.String gets)` String aus json extrahieren
`static java.util.ArrayList<Tour>` `getTourenFromJson​(java.io.FileReader reader)` Wandelt ein Json file in ein Data Objekt um

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonHelper

    public JsonHelper()

### Method Detail

#### getStingFromJson

    public static java.lang.String getStingFromJson​(java.lang.String json,
                                                    java.lang.String gets)

String aus json extrahieren

Parameters:
  `json` - Json als String
  `gets` - Eintrag im Json unter "route"
Returns:
  Gesammelter String

#### getDoubleFromJson

    public static double getDoubleFromJson​(java.lang.String json,
                                           java.lang.String gets)

Double aus json extrahieren

Parameters:
  `json` - Json als String
  `gets` - Eintrag im Json unter "route"
Returns:
  Gesammelter Double Wert

#### getJsonFromObj

    public static java.lang.String getJsonFromObj​(java.lang.Object obj)

Erzeugt ein Json aus einem Object

Parameters:
  `obj` - Das Objekt
Returns:
  Json des Objektes

#### getJsonFromObj

    public static void getJsonFromObj​(java.lang.Object obj,
                                      java.io.FileWriter writer)

Erzeugt ein Json aus einem Object

Parameters:
  `obj` - Das Objekt
  `writer` - File in das geschrieben werden soll

#### getTourenFromJson

    public static java.util.ArrayList<Tour> getTourenFromJson​(java.io.FileReader reader)

Wandelt ein Json file in ein Data Objekt um

Parameters:
  `reader` - File aus dem gelesen wird
Returns:
  Data objekt das gelesen wurde